package com.ruoyi.warehouseBusiness.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.basicData.domain.TCorps;
import com.ruoyi.basicData.domain.TFees;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.warehouseBusiness.domain.TWarehouseBills;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsModify;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsfees;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsfeesModify;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 仓库主(出入库)对象 t_warehousebills_modify
 *
 * @author ruoyi
 * @date 2021-10-27
 */
public class WarehousebillsModifyVO extends TWarehousebillsModify {
    private static final long serialVersionUID = 1L;

    /**
     * 仓库主表信息
     */
    private TWarehouseBills warehouseMaster;

    /**
     *  费用信息
     */
    private List<TWarehousebillsfeesModify> warehousebillsfeesModifyList;

    /**
     *  原仓储费用信息
     */
    private List<TWarehousebillsfees> tWarehousebillsfees;

    /**
     * 费用信息
     */
    private List<TFees> feesList;

    /**
     * 客户信息
     */
    private List<TCorps> corpsList;

    /**
     * 客户信息
     */
    private String corpName;

    /**
     * 仓库信息
     */
    private String warehouseName;

    public TWarehouseBills getWarehouseMaster() {
        return warehouseMaster;
    }

    public void setWarehouseMaster(TWarehouseBills warehouseMaster) {
        this.warehouseMaster = warehouseMaster;
    }

    public List<TWarehousebillsfeesModify> getWarehousebillsfeesModifyList() {
        return warehousebillsfeesModifyList;
    }

    public void setWarehousebillsfeesModifyList(List<TWarehousebillsfeesModify> warehousebillsfeesModifyList) {
        this.warehousebillsfeesModifyList = warehousebillsfeesModifyList;
    }

    public List<TWarehousebillsfees> gettWarehousebillsfees() {
        return tWarehousebillsfees;
    }

    public void settWarehousebillsfees(List<TWarehousebillsfees> tWarehousebillsfees) {
        this.tWarehousebillsfees = tWarehousebillsfees;
    }

    public List<TFees> getFeesList() {
        return feesList;
    }

    public void setFeesList(List<TFees> feesList) {
        this.feesList = feesList;
    }

    public List<TCorps> getCorpsList() {
        return corpsList;
    }

    public void setCorpsList(List<TCorps> corpsList) {
        this.corpsList = corpsList;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    @Override
    public String toString() {
        return "WarehousebillsModifyVO{" +
                "warehouseMaster=" + warehouseMaster +
                ", warehousebillsfeesModifyList=" + warehousebillsfeesModifyList +
                ", tWarehousebillsfees=" + tWarehousebillsfees +
                ", feesList=" + feesList +
                ", corpsList=" + corpsList +
                ", corpName='" + corpName + '\'' +
                ", warehouseName='" + warehouseName + '\'' +
                '}';
    }
}
